List Assistants
curl --request GET \
--url https://qall.io/api/assistants \
--header 'Authorization: Bearer <token>'import requests
url = "https://qall.io/api/assistants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"name": "<string>",
"organization_id": 123,
"updated_at": "2023-11-07T05:31:56Z",
"user_id": 123,
"assigned_documents": [
123
],
"assigned_tools": [
123
],
"custom_settings": {},
"description": "<string>",
"idle_message": "Are you still there? I'm here to help if you need anything.",
"idle_timeout": 123,
"interruption_settings": {
"allow_interruptions": true,
"allow_welcome_interruption": true,
"false_interruption_timeout": 2,
"min_interruption_duration": 0.5,
"min_interruption_words": 1,
"resume_false_interruption": true
},
"is_active": true,
"llm_fallback_providers": {
"enabled": false,
"fallbacks": [
{
"provider": "<string>",
"api_key": "<string>",
"base_url": "<string>",
"model": "<string>"
}
]
},
"llm_provider": "openai",
"llm_provider_config": {
"base_url": "<string>",
"custom_config": {},
"model": "gpt-4o-mini"
},
"llm_settings": {
"frequency_penalty": 0,
"max_tokens": 1000,
"presence_penalty": 0,
"stop_sequences": [
"<string>"
],
"system_prompt": "You are a helpful assistant that can answer questions and help with tasks.",
"temperature": 0.5,
"top_p": 1,
"welcome_message": "<string>"
},
"max_idle_messages": 123,
"playbook_ids": [
123
],
"rag_settings": {
"auto_process": true,
"chunk_overlap": 200,
"chunk_size": 1000,
"chunking_strategy": "recursive",
"context_budget": 8000,
"context_window_tokens": 4000,
"embedding_model": "text-embedding-3-small",
"enabled": false,
"history_strategy": "sliding_window",
"include_metadata": true,
"max_history_turns": 20,
"max_prompt_doc_tokens": 2000,
"search_limit": 3,
"similarity_threshold": 0.7
},
"recording_settings": {
"consent_prompt": "",
"consent_required": false,
"record_assistant_audio": true,
"record_mixed_audio": true,
"record_user_audio": true,
"recording_enabled": true,
"recording_format": "mp3"
},
"stt_settings": {
"endpoint_latency_adjustment_level": 1,
"endpoint_sensitivity": 0,
"keyterms": [
"<string>"
],
"language": "en",
"language_hints": [
"<string>"
],
"model": "nova-3",
"provider": "deepgram",
"punctuate": true,
"smart_format": true,
"turn_detection": {
"max_endpointing_delay": 2.5,
"min_endpointing_delay": 0.3,
"mode": "turn_detector"
}
},
"tts_settings": {
"model_id": "<string>",
"provider": "elevenlabs",
"provider_config": {},
"voice_id": "<string>"
}
}
],
"page": 123,
"pages": 123,
"per_page": 123,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}assistants
List Assistants
GET
/
api
/
assistants
List Assistants
curl --request GET \
--url https://qall.io/api/assistants \
--header 'Authorization: Bearer <token>'import requests
url = "https://qall.io/api/assistants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"name": "<string>",
"organization_id": 123,
"updated_at": "2023-11-07T05:31:56Z",
"user_id": 123,
"assigned_documents": [
123
],
"assigned_tools": [
123
],
"custom_settings": {},
"description": "<string>",
"idle_message": "Are you still there? I'm here to help if you need anything.",
"idle_timeout": 123,
"interruption_settings": {
"allow_interruptions": true,
"allow_welcome_interruption": true,
"false_interruption_timeout": 2,
"min_interruption_duration": 0.5,
"min_interruption_words": 1,
"resume_false_interruption": true
},
"is_active": true,
"llm_fallback_providers": {
"enabled": false,
"fallbacks": [
{
"provider": "<string>",
"api_key": "<string>",
"base_url": "<string>",
"model": "<string>"
}
]
},
"llm_provider": "openai",
"llm_provider_config": {
"base_url": "<string>",
"custom_config": {},
"model": "gpt-4o-mini"
},
"llm_settings": {
"frequency_penalty": 0,
"max_tokens": 1000,
"presence_penalty": 0,
"stop_sequences": [
"<string>"
],
"system_prompt": "You are a helpful assistant that can answer questions and help with tasks.",
"temperature": 0.5,
"top_p": 1,
"welcome_message": "<string>"
},
"max_idle_messages": 123,
"playbook_ids": [
123
],
"rag_settings": {
"auto_process": true,
"chunk_overlap": 200,
"chunk_size": 1000,
"chunking_strategy": "recursive",
"context_budget": 8000,
"context_window_tokens": 4000,
"embedding_model": "text-embedding-3-small",
"enabled": false,
"history_strategy": "sliding_window",
"include_metadata": true,
"max_history_turns": 20,
"max_prompt_doc_tokens": 2000,
"search_limit": 3,
"similarity_threshold": 0.7
},
"recording_settings": {
"consent_prompt": "",
"consent_required": false,
"record_assistant_audio": true,
"record_mixed_audio": true,
"record_user_audio": true,
"recording_enabled": true,
"recording_format": "mp3"
},
"stt_settings": {
"endpoint_latency_adjustment_level": 1,
"endpoint_sensitivity": 0,
"keyterms": [
"<string>"
],
"language": "en",
"language_hints": [
"<string>"
],
"model": "nova-3",
"provider": "deepgram",
"punctuate": true,
"smart_format": true,
"turn_detection": {
"max_endpointing_delay": 2.5,
"min_endpointing_delay": 0.3,
"mode": "turn_detector"
}
},
"tts_settings": {
"model_id": "<string>",
"provider": "elevenlabs",
"provider_config": {},
"voice_id": "<string>"
}
}
],
"page": 123,
"pages": 123,
"per_page": 123,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 200active | inactive
name | created_at
asc | desc
⌘I